Katello - Feature #6517

Dynflow tests dont execute sub plans
07/07/2014 05:04 PM - Partha Aji

Status: Rejected

Priority: Normal

Assignee: Ivan Necas
Category:

Target version: Katello Recycle Bin
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Dynflow Action tests in general don't let us execute sub plans. Take the example of product delete, whose destroy plan does
something like

1) Delete each repo of the product, using the repo delete orchestration
2) Delete candlepin artifacts.
3) Destroy the AR/elastic presence of the product

Now suppose | wanted to test the following scenario. "l want product delete to fail if one of the repo deletions fail due to some
validation error". There is no way for me to test that. Because the action unit tests will not execute the repo delete orchestration.

History

#1 - 07/08/2014 06:31 AM - Ivan Necas
| don't think this needs to be tested, as that's the properly of the Dynflow.

#2 - 07/30/2014 12:08 PM - lvan Necas

- Status changed from New to Rejected

| would suggest for the unit tests to keep the behavior as it is. If we want some more complex tests, it should happen outside of the unit testing
framework for the end-to-end tasks tests

#3 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13

#4 - 03/21/2015 11:05 AM - Eric Helms

- translation missing: en.field_release deleted (13)

#5 - 07/08/2016 11:29 AM - Eric Helms

- translation missing: en.field_release set to 166
